summaryrefslogtreecommitdiffstats
path: root/source/a/less
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/less')
-rwxr-xr-xsource/a/less/less.SlackBuild47
-rw-r--r--source/a/less/lesspipe.sh5
-rw-r--r--source/a/less/slack-desc6
3 files changed, 40 insertions, 18 deletions
diff --git a/source/a/less/less.SlackBuild b/source/a/less/less.SlackBuild
index 3e6908daf..042ec0bd0 100755
--- a/source/a/less/less.SlackBuild
+++ b/source/a/less/less.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2005-2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-VERSION=${VERSION:-$(echo less-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+PKGNAM=less
+VERSION=${VERSION:-$(echo less-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -53,7 +63,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-less
rm -rf $PKG
@@ -61,8 +70,8 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf less-$VERSION
-tar xvf $CWD/less-$VERSION.tar.?z* || exit 1
-cd less-$VERSION
+tar xvf $CWD/less-$VERSION.tar.?z || exit 1
+cd less-$VERSION || exit 1
# Fix path in manpage:
sed -i "s,/usr/local/etc,/etc,g" less.nro
@@ -78,16 +87,28 @@ CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --mandir=/usr/man
+ --mandir=/usr/man || exit 1
make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
-mkdir -p $PKG/usr/bin
-cat less > $PKG/usr/bin/less
-cat lesskey > $PKG/usr/bin/lesskey
-cat lessecho > $PKG/usr/bin/lessecho
zcat $CWD/lesspipe.sh.gz > $PKG/usr/bin/lesspipe.sh
-chmod 755 $PKG/usr/bin/*
+chmod 755 $PKG/usr/bin/lesspipe.sh
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1 | grep -v '\.gz$') ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/a/less/lesspipe.sh b/source/a/less/lesspipe.sh
index 7850a488f..2f1ce2a54 100644
--- a/source/a/less/lesspipe.sh
+++ b/source/a/less/lesspipe.sh
@@ -2,7 +2,7 @@
#
# Copyright 1997, 1998, 1999, 2000 Patrick Volkerding, Moorhead, MN, USA
# Copyright 2001, 2002 Slackware Linux, Inc, Concord, CA, USA
-# Copyright 2006, 2009 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2009, 2017 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -29,8 +29,9 @@
lesspipe() {
case "$1" in
*.tar) tar tvvf "$1" 2>/dev/null ;;
+ *.tar.lzma ) lzma -dc "$1" 2> /dev/null | tar tvvf - 2> /dev/null ;;
*.tgz | *.tar.gz | *.tar.Z | *.tar.z | *.tar.bz2 | *.tbz ) tar tvvf "$1" 2>/dev/null ;;
- *.tlz | *.tar.lzma ) lzma -dc "$1" 2> /dev/null | tar tvvf - 2> /dev/null ;;
+ *.tlz | *.tar.lz ) lzip -dc "$1" 2> /dev/null | tar tvvf - 2> /dev/null ;;
*.txz | *.tar.xz ) xz -dc "$1" 2> /dev/null | tar tvvf - 2> /dev/null ;;
*.zip) unzip -l "$1" 2>/dev/null ;;
*.rpm) rpm -qpvl "$1" 2>/dev/null ;;
diff --git a/source/a/less/slack-desc b/source/a/less/slack-desc
index bbf440f9a..209f19c0a 100644
--- a/source/a/less/slack-desc
+++ b/source/a/less/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|